Creates a new preset application package group or updates an existing one if the groupId parameter is provided.
Reference
POST https://YOUR-NETWORK-DOMAIN/rest-api/preset-app-package/group/save.do
Creates a new preset application package group or updates an existing one if the groupId parameter is provided. When updating, the group must exist or a 404 error is returned. The title parameter sets the display name of the group. Requires PRESET_APP_PACKAGES_GROUP_MANAGEMENT permission. The action is recorded in the audit log.
Form Params
titlestringrequired
Display title for the preset application package group
My Preset Group
groupIdinteger
Unique numeric ID of an existing group to update; omit to create a new group
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("POST"), "https://YOUR-NETWORK-DOMAIN/rest-api/preset-app-package/group/save.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
request.Content = new FormUrlEncodedContent(new Dictionary<string, string> { ["title"] = "My Preset Group", ["groupId"] = "100" });
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());